Sending
Get Email Status
Retrieves the current delivery status and lifecycle timestamps for a single email using the emailId returned when the email was sent.
GET
/
mails
/
{id}
/
status
curl --request GET \
--url https://api.autosend.com/v1/mails/6a8ff3dd718911ea2da57113/status \
--header 'Authorization: Bearer <token>'
import requests
url = "https://api.autosend.com/v1/mails/6a8ff3dd718911ea2da57113/status"
headers = {
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.json())
fetch('https://api.autosend.com/v1/mails/6a8ff3dd718911ea2da57113/status', {
method: 'GET',
headers: {
'Authorization': 'Bearer <token>'
}
})
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error('Error:', error));
<?php
$url = 'https://api.autosend.com/v1/mails/6a8ff3dd718911ea2da57113/status';
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'Authorization: Bearer <token>'
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
?>
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
url := "https://api.autosend.com/v1/mails/6a8ff3dd718911ea2da57113/status"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Set("Authorization", "Bearer <token>")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
fmt.Println("Error:", err)
return
}
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.net.HttpURLConnection;
import java.net.URL;
public class GetEmailStatus {
public static void main(String[] args) {
try {
URL url = new URL("https://api.autosend.com/v1/mails/6a8ff3dd718911ea2da57113/status");
HttpURLConnection con = (HttpURLConnection) url.openConnection();
con.setRequestMethod("GET");
con.setRequestProperty("Authorization", "Bearer <token>");
BufferedReader in = new BufferedReader(new InputStreamReader(con.getInputStream()));
String inputLine;
StringBuilder content = new StringBuilder();
while ((inputLine = in.readLine()) != null) {
content.append(inputLine);
}
in.close();
con.disconnect();
System.out.println(content.toString());
} catch (Exception e) {
e.printStackTrace();
}
}
}
require 'net/http'
require 'uri'
uri = URI('https://api.autosend.com/v1/mails/6a8ff3dd718911ea2da57113/status')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Authorization'] = 'Bearer <token>'
response = http.request(request)
puts response.body
{
"success": true,
"data": {
"id": "6a8ff3dd718911ea2da57113",
"projectId": "68e8b85deb15498144dd44e0",
"status": "delivered",
"subject": "Welcome to AutoSend",
"recipient": {
"email": "jane@example.com",
"name": "Jane Smith"
},
"sender": {
"email": "hello@yourdomain.com",
"name": "Your Company"
},
"sentAt": "2026-08-27T08:22:53.529Z",
"deliveredAt": "2026-08-27T08:22:54.519Z",
"openedAt": "2026-08-27T09:14:02.100Z",
"clickedAt": "2026-08-27T09:15:41.870Z",
"bouncedAt": null
}
}
Look up the current delivery status and lifecycle timestamps for a single email using the
emailId returned when you sent it.curl --request GET \
--url https://api.autosend.com/v1/mails/6a8ff3dd718911ea2da57113/status \
--header 'Authorization: Bearer <token>'
import requests
url = "https://api.autosend.com/v1/mails/6a8ff3dd718911ea2da57113/status"
headers = {
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.json())
fetch('https://api.autosend.com/v1/mails/6a8ff3dd718911ea2da57113/status', {
method: 'GET',
headers: {
'Authorization': 'Bearer <token>'
}
})
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error('Error:', error));
<?php
$url = 'https://api.autosend.com/v1/mails/6a8ff3dd718911ea2da57113/status';
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'Authorization: Bearer <token>'
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
?>
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
url := "https://api.autosend.com/v1/mails/6a8ff3dd718911ea2da57113/status"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Set("Authorization", "Bearer <token>")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
fmt.Println("Error:", err)
return
}
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.net.HttpURLConnection;
import java.net.URL;
public class GetEmailStatus {
public static void main(String[] args) {
try {
URL url = new URL("https://api.autosend.com/v1/mails/6a8ff3dd718911ea2da57113/status");
HttpURLConnection con = (HttpURLConnection) url.openConnection();
con.setRequestMethod("GET");
con.setRequestProperty("Authorization", "Bearer <token>");
BufferedReader in = new BufferedReader(new InputStreamReader(con.getInputStream()));
String inputLine;
StringBuilder content = new StringBuilder();
while ((inputLine = in.readLine()) != null) {
content.append(inputLine);
}
in.close();
con.disconnect();
System.out.println(content.toString());
} catch (Exception e) {
e.printStackTrace();
}
}
}
require 'net/http'
require 'uri'
uri = URI('https://api.autosend.com/v1/mails/6a8ff3dd718911ea2da57113/status')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Authorization'] = 'Bearer <token>'
response = http.request(request)
puts response.body
{
"success": true,
"data": {
"id": "6a8ff3dd718911ea2da57113",
"projectId": "68e8b85deb15498144dd44e0",
"status": "delivered",
"subject": "Welcome to AutoSend",
"recipient": {
"email": "jane@example.com",
"name": "Jane Smith"
},
"sender": {
"email": "hello@yourdomain.com",
"name": "Your Company"
},
"sentAt": "2026-08-27T08:22:53.529Z",
"deliveredAt": "2026-08-27T08:22:54.519Z",
"openedAt": "2026-08-27T09:14:02.100Z",
"clickedAt": "2026-08-27T09:15:41.870Z",
"bouncedAt": null
}
}
Authorizations
string | header
required
Bearer authentication header of the form Bearer
<token>, where <token> is your auth token.Path Parameters
string
required
The email ID to look up. This is the
emailId returned by the send email and bulk send email endpoints.Example: "6a8ff3dd718911ea2da57113"Response
Email status retrieved successfullyboolean
Indicates if the request was successfulExample:
trueobject
Show child attributes
Show child attributes
string
The email IDExample:
"6a8ff3dd718911ea2da57113"string
Project ID that the email belongs toExample:
"68e8b85deb15498144dd44e0"string
Current status of the email. Reflects the latest lifecycle event recorded for the message, for example
delivered, opened, clicked, or bounced.Example: "delivered"string
Subject line of the emailExample:
"Welcome to AutoSend"object
object
string
ISO 8601 timestamp of when the email was sentExample:
"2026-08-27T08:22:53.529Z"string | null
ISO 8601 timestamp of when the email was delivered.
null if the email has not been delivered yet.Example: "2026-08-27T08:22:54.519Z"string | null
ISO 8601 timestamp of when the email was first opened.
null if the email has not been opened or open tracking is disabled.Example: "2026-08-27T09:14:02.100Z"string | null
ISO 8601 timestamp of when a link in the email was first clicked.
null if no link has been clicked or click tracking is disabled.Example: "2026-08-27T09:15:41.870Z"string | null
ISO 8601 timestamp of when the email bounced.
null if the email has not bounced.Example: nullWas this page helpful?
⌘I
curl --request GET \
--url https://api.autosend.com/v1/mails/6a8ff3dd718911ea2da57113/status \
--header 'Authorization: Bearer <token>'
import requests
url = "https://api.autosend.com/v1/mails/6a8ff3dd718911ea2da57113/status"
headers = {
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.json())
fetch('https://api.autosend.com/v1/mails/6a8ff3dd718911ea2da57113/status', {
method: 'GET',
headers: {
'Authorization': 'Bearer <token>'
}
})
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error('Error:', error));
<?php
$url = 'https://api.autosend.com/v1/mails/6a8ff3dd718911ea2da57113/status';
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'Authorization: Bearer <token>'
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
?>
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
url := "https://api.autosend.com/v1/mails/6a8ff3dd718911ea2da57113/status"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Set("Authorization", "Bearer <token>")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
fmt.Println("Error:", err)
return
}
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.net.HttpURLConnection;
import java.net.URL;
public class GetEmailStatus {
public static void main(String[] args) {
try {
URL url = new URL("https://api.autosend.com/v1/mails/6a8ff3dd718911ea2da57113/status");
HttpURLConnection con = (HttpURLConnection) url.openConnection();
con.setRequestMethod("GET");
con.setRequestProperty("Authorization", "Bearer <token>");
BufferedReader in = new BufferedReader(new InputStreamReader(con.getInputStream()));
String inputLine;
StringBuilder content = new StringBuilder();
while ((inputLine = in.readLine()) != null) {
content.append(inputLine);
}
in.close();
con.disconnect();
System.out.println(content.toString());
} catch (Exception e) {
e.printStackTrace();
}
}
}
require 'net/http'
require 'uri'
uri = URI('https://api.autosend.com/v1/mails/6a8ff3dd718911ea2da57113/status')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Authorization'] = 'Bearer <token>'
response = http.request(request)
puts response.body
{
"success": true,
"data": {
"id": "6a8ff3dd718911ea2da57113",
"projectId": "68e8b85deb15498144dd44e0",
"status": "delivered",
"subject": "Welcome to AutoSend",
"recipient": {
"email": "jane@example.com",
"name": "Jane Smith"
},
"sender": {
"email": "hello@yourdomain.com",
"name": "Your Company"
},
"sentAt": "2026-08-27T08:22:53.529Z",
"deliveredAt": "2026-08-27T08:22:54.519Z",
"openedAt": "2026-08-27T09:14:02.100Z",
"clickedAt": "2026-08-27T09:15:41.870Z",
"bouncedAt": null
}
}